summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thomas Morper2022-05-12 19:15:19 +0200
committer Willy Sudiarto Raharjo2022-05-14 14:28:00 +0200
commitf44d578fdd807308b57ed2b47a3deacefb272c58 (patch)
tree188abc9507fc4af42d05f69d696d8b795ee88fb1
parent824b8fdc95c97c79e5bbcc621e9d53969bc4b485 (diff)
downloadslackbuilds-f44d578fdd807308b57ed2b47a3deacefb272c58.tar.gz
perl/perl-DBD-SQLite: Updated for version 1.70.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-DBD-SQLite/perl-DBD-SQLite.SlackBuild42
-rw-r--r--perl/perl-DBD-SQLite/perl-DBD-SQLite.info8
2 files changed, 33 insertions, 17 deletions
diff --git a/perl/perl-DBD-SQLite/perl-DBD-SQLite.SlackBuild b/perl/perl-DBD-SQLite/perl-DBD-SQLite.SlackBuild
index eb3a95e23b..a57547ec1c 100644
--- a/perl/perl-DBD-SQLite/perl-DBD-SQLite.SlackBuild
+++ b/perl/perl-DBD-SQLite/perl-DBD-SQLite.SlackBuild
@@ -1,17 +1,36 @@
#!/bin/bash
# Slackware build script for perl-DBD-SQLite
-# Written by Thomas Morper <thomas@beingboiled.info>
+
+# Copyright 2012-2022, Thomas Morper, N├╝rnberg, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=perl-DBD-SQLite
-VERSION=${VERSION:-1.66}
+VERSION=${VERSION:-1.70}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-SRCNAM=$(echo $PRGNAM | cut -f2- -d-)
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -21,9 +40,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -57,28 +73,28 @@ tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
perl Makefile.PL \
PREFIX=/usr \
INSTALLDIRS=vendor \
INSTALLVENDORMAN1DIR=/usr/man/man1 \
INSTALLVENDORMAN3DIR=/usr/man/man3
-
make
make test
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" -empty | xargs rm -f || true
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/perl/perl-DBD-SQLite/perl-DBD-SQLite.info b/perl/perl-DBD-SQLite/perl-DBD-SQLite.info
index 8d6d38e064..b504618f78 100644
--- a/perl/perl-DBD-SQLite/perl-DBD-SQLite.info
+++ b/perl/perl-DBD-SQLite/perl-DBD-SQLite.info
@@ -1,8 +1,8 @@
PRGNAM="perl-DBD-SQLite"
-VERSION="1.66"
-HOMEPAGE="https://metacpan.org/release/DBD-SQLite"
-DOWNLOAD="https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/DBD-SQLite-1.66.tar.gz"
-MD5SUM="38581209de5c981f0e79840c8937fa16"
+VERSION="1.70"
+HOMEPAGE="https://metacpan.org/pod/DBD-SQLite"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/DBD-SQLite-1.70.tar.gz"
+MD5SUM="cc20dad09474da382488686ea07e8288"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""